Subject: Re: posix threads (pthread32) undefined references
From: [email-masked] (Earnie Boyd)

31 Oct 1998 22:48:58 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Stipe Tolj <[email-masked]>, Alex Madarasz <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked],
        [email-masked]

---Stipe Tolj <[email-masked]> wrote:
>
> > And, I just stumbled across this alternative alternative at :
> >
> >    <ftp://egcs.cygnus.com/pub/pthreads-win32/>
> 
> I have configure/make the libpthread32.a library using cygwin32
b19.3 (no
> egcs, gcc from cdk.exe). When I tried to compile the distributed test
> programs I get the following undefined reference errors:
> 
> % gcc create1.c -I.. -L.. -lpthread32
> ../libpthread32.a(create.o)(.text+0x19a):create.c: undefined
reference to
> `_beginthreadex'
> ../libpthread32.a(exit.o)(.text+0xbe):exit.c: undefined reference to
> `_endthreadex'
> ../libpthread32.a(mutex.o)(.text+0x11e):mutex.c: undefined reference
to
> `TryEnterCriticalSection'
> 

These may reside in the MSVCRTxx.DLL and if that is the case then
you'll have to figure out what to import from it.  NOTE: It is most
likely that you'll not be able to do what you are trying to do.  Your
time would most likely be better spent trying to get the UNIX version
to fit CYGWIN than trying to get the WIN32 version to fit CYGWIN.

You should, most likely, be able to build this package with MINGW32.

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".